<?php

namespace App\Models\Asset_allocation_exam;

use Illuminate\Database\Eloquent\Model;

class Asset_allocation_product extends Model
{
    protected $fillable = ['name','disclaimer','category','total_option'];

    public function qusetionOptions(){
        return $this->hasMany(Asset_allocation_product_more::class)->orderBy('id', 'ASC');
    }
    public function moreOptions(){
        return $this->hasMany(Asset_allocation_product_option::class)->orderBy('id', 'ASC');
    }
    public function moreBalance(){
        return $this->hasMany(Product_balance_sheet::class)->orderBy('id', 'ASC');
    }
}
